Scriptname _hmfquestscript extends Quest  

;====================================================================================

Float Property _hmfModVersionFloat = 0.0 Auto
Bool Property  _hmfModRestarted = false Auto
Bool Property  _hmfModEnabled = false Auto
Bool Property  _hmfModUpdated = false Auto

Message Property _hmfWelcomeMessage Auto
Message Property _hmfInstalledMessage Auto
Message Property _hmfUpdatedMessage Auto

Bool ApocalypseMagicofSkyrimLoaded = False

;====================================================================================

Function Maintenance()
	Debug.Trace("")
	Debug.Trace("===== I Want You To Learn A Spell is refreshing itself and searching for addons. Any errors below are harmless. =====")
	Debug.Trace("")
	
	if  _hmfModVersionfloat
		If  _hmfModVersionfloat < 1.1
			_hmfModUpdated = False
			DisableMod()
			EnableMod()
			_hmfModVersionfloat= 1.1
			_hmfModUpdated = True
			_hmfUpdatedMessage.Show( _hmfModVersionfloat)	
		EndIf
	else
		EnableMod()
		_hmfModVersionfloat = 1.0
		_hmfInstalledMessage.show(_hmfModVersionfloat)	
	endif
	
	
	AddVanillaSpellandTomes()
		
	DetectPlugins()

	;Apocalypse - Magic of Skyrim
	if ApocalypseMagicofSkyrimLoaded
		Debug.Trace("Apocalypse - Magic of Skyrim detected")
		AddApocalypseMagicofSkyrimSpellandTomes()
	endif
	
	AddUseSpellTomes()
	
	Debug.Trace("")
	Debug.Trace("===== I Want You To Learn A Spell is finished refreshing itself and searching for addons. =====")
	Debug.Trace("")
EndFunction

Function EnableMod()
	 _hmfModEnabled = true
	 AddUseSpellTomes()
	Utility.Wait(0.5)
EndFunction

Function DisableMod()
	 _hmfModEnabled = false
	 RemoveUseSpellTomes()
	Utility.Wait(0.5)
EndFunction

Event OnInit()
	Utility.Wait(5.0)
	Maintenance()
EndEvent

Function DetectPlugins()
	ApocalypseMagicofSkyrimLoaded = Game.GetFormFromFile(0xDD9C7, "Apocalypse - Magic of Skyrim.esp")			;Apocalypse - Magic of Skyrim
EndFunction

;====================================================================================

Faction Property _hmfUseSpellTomeFaction  Auto  
SPELL Property _hmfUseSpellTomeSpell  Auto  
FormList Property _hmfSpellTomeList1 auto
FormList Property _hmfSpellList1 auto
Idle Property IdleBook_Reading  Auto
Actor Property PlayerRef Auto
	
Function AddUseSpellTomes()
	if !PlayerRef.HasSpell(_hmfUseSpellTomeSpell)
		PlayerRef.AddSpell(_hmfUseSpellTomeSpell,true)
	endif
EndFunction

Function RemoveUseSpellTomes()
	if PlayerRef.HasSpell(_hmfUseSpellTomeSpell)
		PlayerRef.RemoveSpell(_hmfUseSpellTomeSpell)
	endif
EndFunction

Function AddVanillaSpellandTomes()
	Debug.Trace("Starting Scanning Vanilla SpellTomes")
	AddSkyrimSpellandTomes()
	AddDawnguardSpellandlTomes()
	AddDragonbornSpellandTomes()
	Debug.Trace("Ending Scanning Vanilla SpellTomes")
EndFunction 	

Function AddSkyrimSpellandTomes()
	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AD, "Skyrim.esm")) ; SpellTomeCourage "Spell Tome: Courage" BOOK:0009E2AD
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEE8, "Skyrim.esm")) ; SpellCourage "Spell : Courage" BOOK:0009E2AD

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000B45F7, "Skyrim.esm")) ; dunHighGateSpellTomeFlamingFamiliar "Spell Tome: Conjure Flaming Familiar" BOOK:000B45F7
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0009CE26, "Skyrim.esm")) ; dunHighGateSummonFlamingThrall "Flaming Familiar" SPEL:0009CE26

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000F4997, "Skyrim.esm")) ; DunLabyrinthianSpellTomeEquilibrium "Spell Tome: Equilibrium" BOOK:000F4997
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000DA746, "Skyrim.esm")) ; dunLabyrinthianSpellReward "Equilibrium" SPEL:000DA746

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000B3165, "Skyrim.esm")) ; dunTrevasSpellTomeSpectralArrow "Spell Tome: Spectral Arrow" BOOK:000B3165
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000AB23D, "Skyrim.esm")) ; dunTrevasSpectralArrow "Spectral Arrow" SPEL:000AB23D

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000DD647, "Skyrim.esm")) ; SpellTomeBaneOfTheUndead "Spell Tome: Bane of the Undead" BOOK:000DD647
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000ECEDC, "Skyrim.esm")) ; dunReachwaterRockGauldurBanishSpell "Bane of the Undead" SPEL:000ECEDC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26EE, "Skyrim.esm")) ; SpellTomeBanishDaedra "Spell Tome: Banish Daedra" BOOK:000A26EE
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0006D22C, "Skyrim.esm")) ; BanishDaedra "Banish Daedra" SPEL:0006D22C

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270D, "Skyrim.esm")) ; SpellTomeBlizzard "Spell Tome: Blizzard" BOOK:000A270D
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8E4, "Skyrim.esm")) ; Blizzard "Blizzard" SPEL:0007E8E4

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26ED, "Skyrim.esm")) ; SpellTomeBoundBattleaxe "Spell Tome: Bound Battleaxe" BOOK:000A26ED
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211EC, "Skyrim.esm")) ; BoundBattleAxe "Bound Battleaxe" SPEL:000211EC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F1, "Skyrim.esm")) ; SpellTomeBoundBow "Spell Tome: Bound Bow" BOOK:000A26F1
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211ED, "Skyrim.esm")) ; BoundBow "Bound Bow" SPEL:000211ED

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2A9, "Skyrim.esm")) ; SpellTomeBoundSword "Spell Tome: Bound Sword" BOOK:0009E2A9
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211EB, "Skyrim.esm")) ; BoundSword "Bound Sword" SPEL:000211EB

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271B, "Skyrim.esm")) ; SpellTomeCallToArms "Spell Tome: Call To Arms" BOOK:000A271B
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8DD, "Skyrim.esm")) ; CallToArms "Call to Arms" SPEL:0007E8DD

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2711, "Skyrim.esm")) ; SpellTomeCalm "Spell Tome: Calm" BOOK:000A2711
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEE9, "Skyrim.esm")) ; Calm "Calm" SPEL:0004DEE9

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2A7, "Skyrim.esm")) ; SpellTomeCandlelight "Spell Tome: Candlelight" BOOK:0009E2A7
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00043324, "Skyrim.esm")) ; Candlelight "Candlelight" SPEL:00043324

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2708, "Skyrim.esm")) ; SpellTomeChainLightning "Spell Tome: Chain Lightning" BOOK:000A2708
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00045F9D, "Skyrim.esm")) ; ChainLightning "Chain Lightning" SPEL:00045F9D

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2728, "Skyrim.esm")) ; SpellTomeCircleOfProtection "Spell Tome: Circle Of Protection" BOOK:000A2728
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005312D, "Skyrim.esm")) ; CircleOfProtection "Circle of Protection" SPEL:0005312D

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000FF7D1, "Skyrim.esm")) ; SpellTomeClairvoyance "Spell Tome: Clairvoyance" BOOK:000FF7D1
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00021143, "Skyrim.esm")) ; Clairvoyance "Clairvoyance" SPEL:00021143

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0010F64D, "Skyrim.esm")) ; SpellTomeCloseWounds "Spell Tome: Close Wounds" BOOK:0010F64D
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000B62EF, "Skyrim.esm")) ; CloseWounds "Close Wounds" SPEL:000B62EF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F6, "Skyrim.esm")) ; SpellTomeCommandDaedra "Spell Tome: Command Daedra" BOOK:000A26F6
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0006F953, "Skyrim.esm")) ; CommandDaedra "Command Daedra" SPEL:0006F953

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0010FD60, "Skyrim.esm")) ; SpellTomeConjureDremoraLord "Spell Tome: Conjure Dremora Lord" BOOK:0010FD60
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0010DDEC, "Skyrim.esm")) ; ConjureDremoraLord "Conjure Dremora Lord" SPEL:0010DDEC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AB, "Skyrim.esm")) ; SpellTomeConjureFamiliar "Spell Tome: Conjure Familiar" BOOK:0009E2AB
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000640B6, "Skyrim.esm")) ; ConjureFamiliar "Conjure Familiar" SPEL:000640B6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26EC, "Skyrim.esm")) ; SpellTomeConjureFlameAtronach "Spell Tome: Conjure Flame Atronach" BOOK:000A26EC
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000204C3, "Skyrim.esm")) ; ConjureFlameAtronach "Conjure Flame Atronach" SPEL:000204C3

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26EF, "Skyrim.esm")) ; SpellTomeConjureFrostAtronach "Spell Tome: Conjure Frost Atronach" BOOK:000A26EF
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000204C4, "Skyrim.esm")) ; ConjureFrostAtronach "Conjure Frost Atronach" SPEL:000204C4

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F0, "Skyrim.esm")) ; SpellTomeConjureStormAtronach "Spell Tome: Conjure Storm Atronach" BOOK:000A26F0
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000204C5, "Skyrim.esm")) ; ConjureStormAtronach "Conjure Storm Atronach" SPEL:000204C5

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F9, "Skyrim.esm")) ; SpellTomeDeadThrall "Spell Tome: Dead Thrall" BOOK:000A26F9
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8DF, "Skyrim.esm")) ; DeadThrall "Dead Thrall" SPEL:0007E8DF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E7, "Skyrim.esm")) ; SpellTomeDetectLife "Spell Tome: Detect Life" BOOK:000A26E7
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211EE, "Skyrim.esm")) ; DetectLife "Detect Life" SPEL:000211EE

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26EA, "Skyrim.esm")) ; SpellTomeDetectUndead "Spell Tome: Detect Undead" BOOK:000A26EA
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211EF, "Skyrim.esm")) ; DetectDead "Detect Dead" SPEL:000211EF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000D2B4E, "Skyrim.esm")) ; SpellTomeDragonhide "Spell Tome: Dragonhide" BOOK:000D2B4E
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000CDB70, "Skyrim.esm")) ; Dragonhide "Dragonhide" SPEL:000CDB70

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F7, "Skyrim.esm")) ; SpellTomeDreadZombie "Spell Tome: Dread Zombie" BOOK:000A26F7
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00096D95, "Skyrim.esm")) ; DreadZombie "Dread Zombie" SPEL:00096D95

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E9, "Skyrim.esm")) ; SpellTomeEbonyflesh "Spell Tome: Ebonyflesh" BOOK:000A26E9
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005AD5E, "Skyrim.esm")) ; Ebonyflesh "Ebonyflesh" SPEL:0005AD5E

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F8, "Skyrim.esm")) ; SpellTomeExpelDaedra "Spell Tome: Expel Daedra" BOOK:000A26F8
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0006F952, "Skyrim.esm")) ; ExpelDaedra "Expel Daedra" SPEL:0006F952

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271D, "Skyrim.esm")) ; SpellTomeFastHealing "Spell Tome: Fast Healing" BOOK:000A271D
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002F3B8, "Skyrim.esm")) ; FastHealing "Fast Healing" SPEL:0002F3B8

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2712, "Skyrim.esm")) ; SpellTomeFear "Spell Tome: Fear" BOOK:000A2712
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEEA, "Skyrim.esm")) ; Fear "Fear" SPEL:0004DEEA

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2706, "Skyrim.esm")) ; SpellTomeFireball "Spell Tome: Fireball" BOOK:000A2706
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001C789, "Skyrim.esm")) ; Fireball "Fireball" SPEL:0001C789

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FD, "Skyrim.esm")) ; SpellTomeFirebolt "Spell Tome: Firebolt" BOOK:000A26FD
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012FD0, "Skyrim.esm")) ; Firebolt "Firebolt" SPEL:00012FD0

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2700, "Skyrim.esm")) ; SpellTomeFireRune "Spell Tome: Fire Rune" BOOK:000A2700
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005DB90, "Skyrim.esm")) ; FireRune "Fire Rune" SPEL:0005DB90

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270C, "Skyrim.esm")) ; SpellTomeFireStorm "Spell Tome: Fire Storm" BOOK:000A270C
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000E771E, "Skyrim.esm")) ; FireboltStormAlduinDeath "Firebolt Storm" SPEL:000E771E

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2703, "Skyrim.esm")) ; SpellTomeFlameCloak "Spell Tome: Flame Cloak" BOOK:000A2703
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003AE9F, "Skyrim.esm")) ; flameCloak "Flame Cloak" SPEL:0003AE9F

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009CD51, "Skyrim.esm")) ; SpellTomeFlames "Spell Tome: Flames" BOOK:0009CD51
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012FCD, "Skyrim.esm")) ; Flames "Flames" SPEL:00012FCD

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FA, "Skyrim.esm")) ; SpellTomeFlameThrall "Spell Tome: Flame Thrall" BOOK:000A26FA
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E5D5, "Skyrim.esm")) ; FlameThrall "Flame Thrall" SPEL:0007E5D5

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2714, "Skyrim.esm")) ; SpellTomeFrenzy "Spell Tome: Frenzy" BOOK:000A2714
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEEE, "Skyrim.esm")) ; Frenzy "Frenzy" SPEL:0004DEEE

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009CD52, "Skyrim.esm")) ; SpellTomeFrostbite "Spell Tome: Frostbite" BOOK:0009CD52
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002B96B, "Skyrim.esm")) ; Frostbite "Frostbite" SPEL:0002B96B

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2704, "Skyrim.esm")) ; SpellTomeFrostCloak "Spell Tome: Frost Cloak" BOOK:000A2704
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003AEA2, "Skyrim.esm")) ; FrostCloak "Frost Cloak" SPEL:0003AEA2

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2701, "Skyrim.esm")) ; SpellTomeFrostRune "Spell Tome: Frost Rune" BOOK:000A2701
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0006796F, "Skyrim.esm")) ; FrostRune "Frost Rune" SPEL:0006796F

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FB, "Skyrim.esm")) ; SpellTomeFrostThrall "Spell Tome: Frost Thrall" BOOK:000A26FB
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E5D6, "Skyrim.esm")) ; FrostThrall "Frost Thrall" SPEL:0007E5D6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AC, "Skyrim.esm")) ; SpellTomeFury "Spell Tome: Fury" BOOK:0009E2AC
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEEB, "Skyrim.esm")) ; Fury "Fury" SPEL:0004DEEB

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000DD643, "Skyrim.esm")) ; SpellTomeGrandHealing "Spell Tome: Grand Healing" BOOK:000DD643
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000B62EE, "Skyrim.esm")) ; GrandHealing "Grand Healing" SPEL:000B62EE

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2722, "Skyrim.esm")) ; SpellTomeGreaterWard "Spell Tome: Greater Ward" BOOK:000A2722
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211F0, "Skyrim.esm")) ; WardGreater "Greater Ward" SPEL:000211F0

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000FDE7B, "Skyrim.esm")) ; SpellTomeGuardianCircle "Spell Tome: Guardian Circle" BOOK:000FDE7B
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000E0CCF, "Skyrim.esm")) ; GuardianCircle "Guardian Circle" SPEL:000E0CCF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271A, "Skyrim.esm")) ; SpellTomeHarmony "Spell Tome: Harmony" BOOK:000A271A
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8DB, "Skyrim.esm")) ; Harmony "Harmony" SPEL:0007E8DB

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AF, "Skyrim.esm")) ; SpellTomeHealing "Spell Tome: Healing" BOOK:0009E2AF
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012FCC, "Skyrim.esm")) ; Healing "Healing" SPEL:00012FCC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271E, "Skyrim.esm")) ; SpellTomeHealingHands "Spell Tome: Healing Hands" BOOK:000A271E
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004D3F2, "Skyrim.esm")) ; HealingHands "Healing Hands" SPEL:0004D3F2

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2727, "Skyrim.esm")) ; SpellTomeHealOther "Spell Tome: Heal Other" BOOK:000A2727
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012FD2, "Skyrim.esm")) ; HealOther "Heal Other" SPEL:00012FD2

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271C, "Skyrim.esm")) ; SpellTomeHysteria "Spell Tome: Hysteria" BOOK:000A271C
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8DE, "Skyrim.esm")) ; Hysteria "Hysteria" SPEL:0007E8DE

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FE, "Skyrim.esm")) ; SpellTomeIceSpike "Spell Tome: Ice Spike" BOOK:000A26FE
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002B96C, "Skyrim.esm")) ; IceSpike "Ice Spike" SPEL:0002B96C

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2707, "Skyrim.esm")) ; SpellTomeIceStorm "Spell Tome: Ice Storm" BOOK:000A2707
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00045F9C, "Skyrim.esm")) ; IceStorm "Ice Storm" SPEL:00045F9C

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0010F7F3, "Skyrim.esm")) ; SpellTomeIcySpear "Spell Tome: Icy Spear" BOOK:0010F7F3
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0010F7EC, "Skyrim.esm")) ; IcySpear "Icy Spear" SPEL:0010F7EC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0010F7F4, "Skyrim.esm")) ; SpellTomeIncinerate "Spell Tome: Incinerate" BOOK:0010F7F4
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0010F7ED, "Skyrim.esm")) ; Incinerate "Incinerate" SPEL:0010F7ED

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2715, "Skyrim.esm")) ; SpellTomeInvisibility "Spell Tome: Invisibility" BOOK:000A2715
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00027EB6, "Skyrim.esm")) ; Invisibility "Invisibility" SPEL:00027EB6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E4, "Skyrim.esm")) ; SpellTomeIronflesh "Spell Tome: Ironflesh" BOOK:000A26E4
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00072317, "Skyrim.esm")) ; IronfleshLeftHand "Ironflesh" SPEL:00072317

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AE, "Skyrim.esm")) ; SpellTomeLesserWard "Spell Tome: Lesser Ward" BOOK:0009E2AE
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00013018, "Skyrim.esm")) ; WardLesser "Lesser Ward" SPEL:00013018

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FF, "Skyrim.esm")) ; SpellTomeLightningBolt "Spell Tome: Lightning Bolt" BOOK:000A26FF
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002DD29, "Skyrim.esm")) ; LightningBolt "Lightning Bolt" SPEL:0002DD29

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2705, "Skyrim.esm")) ; SpellTomeLightningCloak "Spell Tome: Lightning Cloak" BOOK:000A2705
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003AEA3, "Skyrim.esm")) ; LightningCloak "Lightning Cloak" SPEL:0003AEA3

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270E, "Skyrim.esm")) ; SpellTomeLightningStorm "Spell Tome: Lightning Storm" BOOK:000A270E
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8E5, "Skyrim.esm")) ; LightningStorm "Lightning Storm" SPEL:0007E8E5

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E2, "Skyrim.esm")) ; SpellTomeMagelight "Spell Tome: Magelight" BOOK:000A26E2
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00043323, "Skyrim.esm")) ; Magelight "Magelight" SPEL:00043323

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000DD646, "Skyrim.esm")) ; SpellTomeMassParalysis "Spell Tome: Mass Paralysis" BOOK:000DD646
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000B62E6, "Skyrim.esm")) ; MassParalysis "Mass Paralysis" SPEL:000B62E6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2719, "Skyrim.esm")) ; SpellTomeMayhem "Spell Tome: Mayhem" BOOK:000A2719
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8DA, "Skyrim.esm")) ; Mayhem "Mayhem" SPEL:0007E8DA

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270F, "Skyrim.esm")) ; SpellTomeMuffle "Spell Tome: Muffle" BOOK:000A270F
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008F3EB, "Skyrim.esm")) ; Muffle "Muffle" SPEL:0008F3EB

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2A8, "Skyrim.esm")) ; SpellTomeOakflesh "Spell Tome: Oakflesh" BOOK:0009E2A8
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005AD5C, "Skyrim.esm")) ; Oakflesh "Oakflesh" SPEL:0005AD5C

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2717, "Skyrim.esm")) ; SpellTomePacify "Spell Tome: Pacify" BOOK:000A2717
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEED, "Skyrim.esm")) ; Pacify "Pacify" SPEL:0004DEED

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E8, "Skyrim.esm")) ; SpellTomeParalyze "Spell Tome: Paralyze" BOOK:000A26E8
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005AD5F, "Skyrim.esm")) ; Paralyze "Paralyze" SPEL:0005AD5F

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009E2AA, "Skyrim.esm")) ; SpellTomeRaiseZombie "Spell Tome: Raise Zombie" BOOK:0009E2AA
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E8E1, "Skyrim.esm")) ; RaiseZombie "Raise Zombie" SPEL:0007E8E1

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2713, "Skyrim.esm")) ; SpellTomeRally "Spell Tome: Rally" BOOK:000A2713
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEEC, "Skyrim.esm")) ; Rally "Rally" SPEL:0004DEEC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26EB, "Skyrim.esm")) ; SpellTomeReanimateCorpse "Spell Tome: Reanimate Corpse" BOOK:000A26EB
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00065BD7, "Skyrim.esm")) ; ReanimateCorpse "Reanimate Corpse" SPEL:00065BD7

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2725, "Skyrim.esm")) ; SpellTomeRepelLesserUndead "Spell Tome: Repel Lesser Undead" BOOK:000A2725
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004D3F8, "Skyrim.esm")) ; RepelLesserUndead "Repel Lesser Undead" SPEL:0004D3F8

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2726, "Skyrim.esm")) ; SpellTomeRepelUndead "Spell Tome: Repel Undead" BOOK:000A2726
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005DD60, "Skyrim.esm")) ; RepelUndead "Repel Undead" SPEL:0005DD60

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26F2, "Skyrim.esm")) ; SpellTomeRevenant "Spell Tome: Revenant" BOOK:000A26F2
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00096D94, "Skyrim.esm")) ; Revenant "Revenant" SPEL:00096D94

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2718, "Skyrim.esm")) ; SpellTomeRout "Spell Tome: Rout" BOOK:000A2718
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DEEF, "Skyrim.esm")) ; Rout "Rout" SPEL:0004DEEF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2702, "Skyrim.esm")) ; SpellTomeShockRune "Spell Tome: Lightning Rune" BOOK:000A2702
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00067970, "Skyrim.esm")) ; ShockRune "Lightning Rune" SPEL:00067970

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009CD54, "Skyrim.esm")) ; SpellTomeSoulTrap "Spell Tome: Soul Trap" BOOK:0009CD54
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004DBA4, "Skyrim.esm")) ; SoulTrap "Soul Trap" SPEL:0004DBA4

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0009CD53, "Skyrim.esm")) ; SpellTomeSparks "Spell Tome: Sparks" BOOK:0009CD53
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002DD2A, "Skyrim.esm")) ; Sparks "Sparks" SPEL:0002DD2A

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2720, "Skyrim.esm")) ; SpellTomeSteadfastWard "Spell Tome: Steadfast Ward" BOOK:000A2720
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000211F1, "Skyrim.esm")) ; WardSteadfast "Steadfast Ward" SPEL:000211F1

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E3, "Skyrim.esm")) ; SpellTomeStoneflesh "Spell Tome: Stoneflesh" BOOK:000A26E3
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005AD5D, "Skyrim.esm")) ; Stoneflesh "Stoneflesh" SPEL:0005AD5D

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26FC, "Skyrim.esm")) ; SpellTomeStormThrall "Spell Tome: Storm Thrall" BOOK:000A26FC
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007E5D7, "Skyrim.esm")) ; StormThrall "Storm Thrall" SPEL:0007E5D7

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E5, "Skyrim.esm")) ; SpellTomeTelekinesis "Spell Tome: Telekinesis" BOOK:000A26E5
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001A4CC, "Skyrim.esm")) ; Telekinesis "Telekinesis" SPEL:0001A4CC

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0010F7F5, "Skyrim.esm")) ; SpellTomeThunderbolt "Spell Tome: Thunderbolt" BOOK:0010F7F5
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0010F7EE, "Skyrim.esm")) ; Thunderbolt "Thunderbolt" SPEL:0010F7EE

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00109112, "Skyrim.esm")) ; SpellTomeTransmuteOreMineral "Spell Tome: Transmute Mineral Ore" BOOK:00109112
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00109111, "Skyrim.esm")) ; TransmuteOreMineral "Transmute" SPEL:00109111

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2729, "Skyrim.esm")) ; SpellTomeTurnGreaterUndead "Spell Tome: Turn Greater Undead" BOOK:000A2729
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005DD5E, "Skyrim.esm")) ; TurnGreaterUndead "Turn Greater Undead" SPEL:0005DD5E

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A271F, "Skyrim.esm")) ; SpellTomeTurnLesserUndead "Spell Tome: Turn Lesser Undead" BOOK:000A271F
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004B146, "Skyrim.esm")) ; TurnLesserUndead "Turn Lesser Undead" SPEL:0004B146

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2721, "Skyrim.esm")) ; SpellTomeTurnUndead "Spell Tome: Turn Undead" BOOK:000A2721
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005DD5D, "Skyrim.esm")) ; TurnUndead "Turn Undead" SPEL:0005DD5D

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A2709, "Skyrim.esm")) ; SpellTomeWallOfFlames "Spell Tome: Wall of Flames" BOOK:000A2709
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00035D7F, "Skyrim.esm")) ; WallOfFlames "Wall of Flames" SPEL:00035D7F

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270A, "Skyrim.esm")) ; SpellTomeWallOfFrost "Spell Tome: Wall of Frost" BOOK:000A270A
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00035D80, "Skyrim.esm")) ; WallOfFrost "Wall of Frost" SPEL:00035D80

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A270B, "Skyrim.esm")) ; SpellTomeWallOfStorms "Spell Tome: Wall of Storms" BOOK:000A270B
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00035D81, "Skyrim.esm")) ; WallOfStorms "Wall of Storms" SPEL:00035D81

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000A26E6, "Skyrim.esm")) ; SpellTomeWaterbreathing "Spell Tome: Waterbreathing" BOOK:000A26E6
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005D175, "Skyrim.esm")) ; Waterbreathing "Waterbreathing" SPEL:0005D175
EndFunction

Function AddDawnguardSpellandlTomes()
	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00003F4D, "Dawnguard.esm")) ; DLC1SpellTomeVampiresBane "Spell Tome: Vampire's Bane" BOOK:02003F4D
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000038B6, "Dawnguard.esm")) ; DLC1VampiresBane "Vampire's Bane" SPEL:020038B6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00003F4E, "Dawnguard.esm")) ; DLC1SpellTomeStendarrsAura "Spell Tome: Stendarr's Aura" BOOK:02003F4E
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000038B5, "Dawnguard.esm")) ; DLC1StendarrsAura "Stendarr's Aura" SPEL:020038B5

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00003F51, "Dawnguard.esm")) ; DLC1SpellTomeSunFire "Spell Tome: Sun Fire" BOOK:02003F51
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00003F52, "Dawnguard.esm")) ; DLC1SunFire "Sun Fire" SPEL:02003F52

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000045B0, "Dawnguard.esm")) ; DLC1SpellTomeConjureBoneman "Spell Tome: Conjure Boneman" BOOK:020045B0
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000045BA, "Dawnguard.esm")) ; DLC1ConjureBoneman "Conjure Boneman" SPEL:020045BA

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000045B1, "Dawnguard.esm")) ; DLC1SpellTomeConjureMistman "Spell Tome: Conjure Mistman" BOOK:020045B1
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000045B8, "Dawnguard.esm")) ; DLC1ConjureMistman "Conjure Mistman" SPEL:020045B8

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000045B2, "Dawnguard.esm")) ; DLC1SpellTomeConjureWrathman "Spell Tome: Conjure Wrathman" BOOK:020045B2
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000045B3, "Dawnguard.esm")) ; DLC1ConjureWrathman "Conjure Wrathman" SPEL:020045B3

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0000E8D5, "Dawnguard.esm")) ; DLC1SpellTomeNecromanticHealing "Spell Tome: Necromantic Healing" BOOK:0200E8D5
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000E8D2, "Dawnguard.esm")) ; DLC1NecromanticHealing "Necromantic Healing" SPEL:0200E8D2

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0000E8D6, "Dawnguard.esm")) ; DLC1SpellTomeHealUndead "Spell Tome: Heal Undead" BOOK:0200E8D6
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000E8D4, "Dawnguard.esm")) ; DLC1HealUndead "Heal Undead" SPEL:0200E8D4
EndFunction

Function AddDragonBornSpellandTomes()
	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000177AC, "Dragonborn.esm")) ; DLC2SpellTomeAshShell "Spell Tome: Ash Shell" BOOK:020177AC
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00017731, "Dragonborn.esm")) ; DLC2AshShell "Ash Shell" SPEL:02017731

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000177AD, "Dragonborn.esm")) ; DLC2SpellTomeWhirlwindCloak "Spell Tome: Whirlwind Cloak" BOOK:020177AD
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00017735, "Dragonborn.esm")) ; DLC2WhirlwindCloakConc "Whirlwind Cloak" SPEL:02017735

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000177B5, "Dragonborn.esm")) ; DLC2SpellTomeAshRune "Spell Tome: Ash Rune" BOOK:020177B5
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000177AF, "Dragonborn.esm")) ; DLC2AshRune "Ash Rune" SPEL:020177AF

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x000177BD, "Dragonborn.esm")) ; DLC2SpellTomeFrenzyRune "Spell Tome: Frenzy Rune" BOOK:020177BD
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000177B7, "Dragonborn.esm")) ; DLC2FrenzyRune "Frenzy Rune" SPEL:020177B7

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0001AABA, "Dragonborn.esm")) ; DLC2SpellTomeConjureAshGuardian "Spell Tome: Conjure Ash Guardian" BOOK:0201AABA
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00017782, "Dragonborn.esm")) ; DLC2AshGuardianRune "Conjure Ash Guardian" SPEL:02017782

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0001CE07, "Dragonborn.esm")) ; DLC2SpellTomeBoundDagger "Spell Tome: Bound Dagger" BOOK:0201CE07
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001CE06, "Dragonborn.esm")) ; DLC2BoundDagger "Bound Dagger" SPEL:0201CE06

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0001E2B1, "Dragonborn.esm")) ; DLC2SpellTomeConjureAshSpawn "Spell Tome: Conjure Ash Spawn" BOOK:0201E2B1
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001CDF6, "Dragonborn.esm")) ; DLC2ConjureAshSpawn "Conjure Ash Spawn" SPEL:0201CDF6

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00020685, "Dragonborn.esm")) ; DLC2SpellTomePoisonRune "Spell Tome: Poison Rune" BOOK:02020685
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001D74B, "Dragonborn.esm")) ; DLC2PoisonRune "Poison Rune" SPEL:0201D74B

	_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00033C67, "Dragonborn.esm")) ; DLC2SpellTomeConjureSeeker "Spell Tome: Conjure Seeker" BOOK:02033C67
	_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00033C66, "Dragonborn.esm")) ; DLC2ConjureSeeker "Conjure Seeker" SPEL:02033C66
EndFunction

Function AddApocalypseMagicofSkyrimSpellandTomes()
	if ApocalypseMagicofSkyrimLoaded
				
		Debug.Trace("Starting Scanning Apocalypse - Magic of Skyrim")
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C517, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_Alarm_Book "Spell Tome: Alarm" BOOK:0303C517
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000064A2, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_Alarm_Spell_PC "Alarm" SPEL:030064A2
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C518, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_Longstride_Book "Spell Tome: Longstride" BOOK:0303C518
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000541E, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_Longstride_Spell_PC "Longstride" SPEL:0300541E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C519, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_RaiseWall_Book "Spell Tome: Raise Wall" BOOK:0303C519
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000CC14, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_RaiseWall_Spell_PC "Raise Wall" SPEL:0300CC14

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51A, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_DropZone_Book "Spell Tome: Drop Zone" BOOK:0303C51A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008453C, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_A025_DropZone_Spell_Proc_PC "Drop Zone" SPEL:0308453C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51B, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_PerilousPath_Book "Spell Tome: Perilous Path" BOOK:0303C51B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000803F2, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_PerilousPath_Spell_PC "Perilous Path" SPEL:030803F2

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51C, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_OcatosRecital_Book "Spell Tome: Ocato's Recital" BOOK:0303C51C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00006FA6, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_OcatosRecital_Spell_PC "Ocato's Recital" SPEL:03006FA6

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51D, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_ReynosFins_Book "Spell Tome: Reynos' Fins" BOOK:0303C51D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00007A94, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_ReynosFins_Spell_PC "Reynos' Fins" SPEL:03007A94

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51E, "Apocalypse - Magic of Skyrim.esp")) ; WB_A025_Wither_Book "Spell Tome: Wither" BOOK:0303C51E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00083FCB, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_A025_Wither_Spell_StackingDebuff_PC "Wither - Proc" SPEL:03083FCB

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C51F, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_StrengthOfEarth_Book "Spell Tome: Strength of Earth" BOOK:0303C51F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000D6F5, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_StrengthOfEarth_Spell_PC "Strength of Earth" SPEL:0300D6F5

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C520, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_Undermine_Book "Spell Tome: Undermine" BOOK:0303C520
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00002E31, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_Undermine_Spell_PC "Undermine" SPEL:03002E31

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C521, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_ThunderingHooves_Book "Spell Tome: Thundering Hooves" BOOK:0303C521
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00007A8C, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_ThunderingHooves_Spell_PC "Thundering Hooves" SPEL:03007A8C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C522, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_LocateObject_Book "Spell Tome: Locate Object" BOOK:0303C522
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000C143, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_LocateObject_Spell_PC "Locate Object" SPEL:0300C143

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C523, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_SpellTwine_Book "Spell Tome: Spell Twine" BOOK:0303C523
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00082F66, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_A050_SpellTwine_Spell_Proc0_PC "Spell Twine" SPEL:03082F66

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C524, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_TharnsPrison_Book "Spell Tome: Tharn's Prison" BOOK:0303C524
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00002E25, "Apocalypse - Magic of Skyrim.esp")) ; WB_A050_TharnsPrison_Spell_PC "Tharn's Prison" SPEL:03002E25

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C525, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_DeepStorage_Book "Spell Tome: Deep Storage" BOOK:0303C525
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00003907, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_DeepStorage_Spell_PC "Deep Storage" SPEL:03003907

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C526, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_TumbleMagnet_Book "Spell Tome: Tumble Magnet" BOOK:0303C526
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000A5EB, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_TumbleMagnet_Spell_PC "Tumble Magnet" SPEL:0300A5EB

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C527, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_DetonateLock_Book "Spell Tome: Detonate Lock" BOOK:0303C527
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000AB69, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_DetonateLock_Spell_PC "Detonate Lock" SPEL:0300AB69

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C528, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_FabricateObject_Book "Spell Tome: Fabricate Object" BOOK:0303C528
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00003902, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_FabricateObject_Spell_PC "Fabricate Object" SPEL:03003902

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C529, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_KnowledgeIsPower_Book "Spell Tome: Knowledge is Power" BOOK:0303C529
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000CC16, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_KnowledgeIsPower_Spell_PC "Knowledge is Power" SPEL:0300CC16

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C52C, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_MalvisersGauntlet_Book "Spell Tome: Malviser's Gauntlet" BOOK:0303C52C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00002E2A, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_MalvisersGauntlet_Spell_PC "Malviser's Gauntlet" SPEL:03002E2A

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C52D, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_WindRunning_Book "Spell Tome: Wind Running" BOOK:0303C52D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00005F2B, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_WindRunning_Spell_PC "Wind Running" SPEL:03005F2B

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C52F, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_HethothsGrimoire_Book "Spell Tome: Hethoth's Grimoire" BOOK:0303C52F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000C13D, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_HethothsGrimoire_Spell_PC "Hethoth's Grimoire" SPEL:0300C13D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D041, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_ConjureAvengingWraith_Book "Spell Tome: Conjure Avenging Wraith" BOOK:0303D041
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00017A8E, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_ConjureAvengingWraith_Spell_NPC "Conjure Avenging Wraith" SPEL:03017A8E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D042, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_ConsumingPower_Book "Spell Tome: Consuming Power" BOOK:0303D042
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00016F92, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_ConsumingPower_Spell_PC "Consuming Power" SPEL:03016F92

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D043, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_AtronachMark_Book "Spell Tome: Atronach Mark" BOOK:0303D043
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002CD7E, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_AtronachMark_Spell_PC "Atronach Mark" SPEL:0302CD7E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D045, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureDremoraChurl_Book "Spell Tome: Conjure Dremora Churl" BOOK:0303D045
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012359, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureDremoraChurl_Spell_NPC "Conjure Dremora Churl" SPEL:03012359

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D046, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureDeadeyeCaptain_Book "Spell Tome: Conjure Deadeye Captain" BOOK:0303D046
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00037E17, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureDeadeyeCaptain_Spell_PC "Conjure Deadeye Captain" SPEL:03037E17

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D047, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_PowerOfTheMaster_Book "Spell Tome: Power of the Master" BOOK:0303D047
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001857E, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_PowerOfTheMaster_Spell_PC "Power of the Master" SPEL:0301857E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D048, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureCatTotem_Book "Spell Tome: Conjure Cat Totem" BOOK:0303D048
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00027144, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_ConjureCatTotem_Spell_PC "Conjure Cat Totem" SPEL:03027144

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D049, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_ConjureDremoraPitFighter_Book "Spell Tome: Conjure Dremora Pit Fighter" BOOK:0303D049
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012364, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_ConjureDremoraPitFighter_Spell_NPC "Conjure Dremora Pit Fighter" SPEL:03012364

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D04A, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_ConjureLich_Book "Spell Tome: Conjure Lich" BOOK:0303D04A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001236A, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_ConjureLich_Spell_PC "Conjure Lich" SPEL:0301236A

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D04B, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_ConjureXivilaiSorcerer_Book "Spell Tome: Conjure Xivilai Sorcerer" BOOK:0303D04B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012361, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_C050_ConjureXivilaiSorcerer_Spell_Ab_PC "Xivilai Sorcerer - FX" SPEL:03012361

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D04C, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_DaedricCrescent_Book "Spell Tome: Daedric Crescent" BOOK:0303D04C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001A0A4, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_DaedricCrescent_Spell_PC "Daedric Crescent" SPEL:0301A0A4

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D04D, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_CorpseExplosion_Book "Spell Tome: Corpse Explosion" BOOK:0303D04D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00072048, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_C050_CorpseExplosion_Spell_PC "Corpse Explosion" SPEL:03072048

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B1, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureDremoraChampion_Book "Spell Tome: Conjure Dremora Champion" BOOK:0303D5B1
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000128DF, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureDremoraChampion_Spell_NPC "Conjure Dremora Champion" SPEL:030128DF

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B2, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureDremoraHonorGuard_Book "Spell Tome: Conjure Dremora Honor Guard" BOOK:0303D5B2
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000133D4, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_C075_ConjureDremoraHonorGuard_Spell_Proc_PC "Conjure Dremora Honor Guard" SPEL:030133D4

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B3, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureHerne_Book "Spell Tome: Conjure Herne" BOOK:0303D5B3
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000128E8, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureHerne_Spell_NPC "Conjure Herne" SPEL:030128E8

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B4, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureXivilaiLord_Book "Spell Tome: Conjure Xivilai Lord" BOOK:0303D5B4
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012370, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureXivilaiLord_Spell_NPC "Conjure Xivilai Lord" SPEL:03012370

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B5, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_OathboundGuardian_Book "Spell Tome: Oathbound Guardian" BOOK:0303D5B5
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00018AE7, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_OathboundGuardian_Spell_PC "Oathbound Guardian" SPEL:03018AE7

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B6, "Apocalypse - Magic of Skyrim.esp")) ; WB_C075_ConjureDremoraMentor_Book "Spell Tome: Conjure Dremora Mentor" BOOK:0303D5B6
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008BCFC, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_C075_ConjureDremoraMentor_Spell_Alt_PC "Conjure Dremora Mentor" SPEL:0308BCFC

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B7, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_BanishLiving_Book "Spell Tome: Banish Living" BOOK:0303D5B7
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00092B91, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_BanishLiving_Spell_PC "Banish Living" SPEL:03092B91

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B8, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureDremoraAssassin_Book "Spell Tome: Conjure Dremora Assassin" BOOK:0303D5B8
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000128F7, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureDremoraAssassin_Spell_NPC "Conjure Dremora Assassin" SPEL:030128F7

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5B9, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureLordOfBindings_Book "Spell Tome: Conjure Lord of Bindings" BOOK:0303D5B9
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00019B2D, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureLordOfBindings_Spell_NPC "Conjure Lord of Bindings" SPEL:03019B2D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5BA, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureNetherLich_Book "Spell Tome: Conjure Nether Lich" BOOK:0303D5BA
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000128FA, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureNetherLich_Spell_PC "Conjure Nether Lich" SPEL:030128FA

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5BC, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_Necrowitch_Book "Spell Tome: Necrowitch" BOOK:0303D5BC
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00016F95, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_Necrowitch_Spell_PC "Necrowitch" SPEL:03016F95

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB20, "Apocalypse - Magic of Skyrim.esp")) ; WB_D000_Hailstone_Book "Spell Tome: Hailstone" BOOK:0303DB20
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002E634, "Apocalypse - Magic of Skyrim.esp")) ; WB_D000_Hailstone_Spell_NPC "Hailstone" SPEL:0302E634

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB21, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_DragonsTeeth_Book "Spell Tome: Dragon's Teeth" BOOK:0303DB21
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024361, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_DragonsTeeth_Spell_NPC "Dragon's Teeth" SPEL:03024361

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB22, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_CreepingCold_Book "Spell Tome: Creeping Cold" BOOK:0303DB22
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000279BA, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D025_CreepingCold_Spell_PC "Creeping Cold - Coldgrip" SPEL:030279BA

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB23, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_Fracture_Book "Spell Tome: Fracture" BOOK:0303DB23
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000279C0, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_Fracture_Spell_NPC "Fracture" SPEL:030279C0

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB24, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_Inferno_Book "Spell Tome: Inferno" BOOK:0303DB24
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00022DA6, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D025_Inferno_Spell_EQ_PC "Ember Bolt" SPEL:03022DA6

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB25, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_Thundercrack_Book "Spell Tome: Thundercrack" BOOK:0303DB25
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007C83B, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_Thundercrack_Spell_NPC "Thundercrack" SPEL:0307C83B

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB26, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_RiftBolt_Book "Spell Tome: Rift Bolt" BOOK:0303DB26
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000253C2, "Apocalypse - Magic of Skyrim.esp")) ; WB_D025_RiftBolt_Spell_NPC "Rift Bolt" SPEL:030253C2

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB27, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Bolide_Book "Spell Tome: Bolide" BOOK:0303DB27
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000294CD, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Bolide_Spell_NPC "Bolide" SPEL:030294CD

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB28, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Electrosphere_Book "Spell Tome: Electrosphere" BOOK:0303DB28
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00001879, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Electrosphere_Spell_NPC "Electrosphere" SPEL:03001879

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB29, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_FrostNova_Book "Spell Tome: Frost Nova" BOOK:0303DB29
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002B54D, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D050_FrostNova_Spell_PC "Frost Nova - Echoing Crystals" SPEL:0302B54D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB2A, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_IceShiv_Book "Spell Tome: Ice Shiv" BOOK:0303DB2A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024B44, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_IceShiv_Spell_NPC "Ice Shiv" SPEL:03024B44

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB2B, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_IncendiaryFlow_Book "Spell Tome: Incendiary Flow" BOOK:0303DB2B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00085910, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_IncendiaryFlow_Spell_NPC "Incendiary Flow" SPEL:03085910

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB2C, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Scattershock_Book "Spell Tome: Scattershock" BOOK:0303DB2C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024E49, "Apocalypse - Magic of Skyrim.esp")) ; WB_D050_Scattershock_Spell_NPC "Scattershock" SPEL:03024E49

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E08F, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_ScorchingHands_Book "Spell Tome: Scorching Hands" BOOK:0303E08F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002388C, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_ScorchingHands_Spell_NPC "Scorching Hands" SPEL:0302388C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E090, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_SleetStorm_Book "Spell Tome: Sleet Storm" BOOK:0303E090
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00027F2E, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_SleetStorm_Spell_NPC "Sleet Storm" SPEL:03027F2E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E092, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_LightningStrike_Book "Spell Tome: Lightning Strike" BOOK:0303E092
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00002878, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_LightningStrike_Spell_NPC "Lightning Strike" SPEL:03002878

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E093, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_ShockNova_Book "Spell Tome: Shock Nova" BOOK:0303E093
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000186D, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_ShockNova_Spell_PC "Shock Nova" SPEL:0300186D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E094, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_Bombardment_Book "Spell Tome: Bombardment" BOOK:0303E094
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000294D4, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_Bombardment_Spell_NPC "Bombardment" SPEL:030294D4

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E096, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_FingersOfTheMountain_Book "Spell Tome: Fingers of the Mountain" BOOK:0303E096
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000137BC, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D100_FingersOfTheMountain_Spell_PC "Fingers of the Mountain - Storm Bolt" SPEL:030137BC

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E097, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_Flamestrike_Book "Spell Tome: Flamestrike" BOOK:0303E097
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002E0BD, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D100_Flamestrike_Spell_PC "Flamestrike - Meteor" SPEL:0302E0BD

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E098, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_FrozenOrb_Book "Spell Tome: Frozen Orb" BOOK:0303E098
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00020A58, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_FrozenOrb_Spell_PC "Frozen Orb" SPEL:03020A58

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E099, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_CyclonicRift_Book "Spell Tome: Cyclonic Rift" BOOK:0303E099
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002D068, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_CyclonicRift_Spell_PC "Cyclonic Rift" SPEL:0302D068

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E09A, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_Tornado_Book "Spell Tome: Tornado" BOOK:0303E09A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002D5DB, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_Tornado_Spell_PC "Tornado" SPEL:0302D5DB

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E5FD, "Apocalypse - Magic of Skyrim.esp")) ; WB_I000_DispelMagic_Book "Spell Tome: Dispel Magic" BOOK:0303E5FD
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000BB25, "Apocalypse - Magic of Skyrim.esp")) ; WB_I000_DispelMagic_Spell_PC "Dispel Magic" SPEL:0300BB25

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E5FE, "Apocalypse - Magic of Skyrim.esp")) ; WB_I000_Ghostwalk_Book "Spell Tome: Ghostwalk" BOOK:0303E5FE
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000AAE8, "Apocalypse - Magic of Skyrim.esp")) ; WB_I000_Ghostwalk_Spell_PC "Ghostwalk" SPEL:0300AAE8

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E5FF, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_CurseOfTheSilent_Book "Spell Tome: Curse of the Silent" BOOK:0303E5FF
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00017509, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_CurseOfTheSilent_Spell_PC "Curse of the Silent" SPEL:03017509

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E600, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_SharedTrauma_Book "Spell Tome: Shared Trauma" BOOK:0303E600
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000C0AC, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_SharedTrauma_Spell_PC "Shared Trauma" SPEL:0300C0AC

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E602, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_IllusoryFlames_Book "Spell Tome: Illusory Flames" BOOK:0303E602
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003682F, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_IllusoryFlames_Spell_PC "Illusory Flames" SPEL:0303682F

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E603, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_MindVision_Book "Spell Tome: Mind Vision" BOOK:0303E603
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000378A9, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_MindVision_Spell_PC "Mind Vision" SPEL:030378A9

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E604, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_Thoughtsteal_Book "Spell Tome: Thoughtsteal" BOOK:0303E604
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000BB22, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_Thoughtsteal_Spell_PC "Thoughtsteal" SPEL:0300BB22

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E605, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_EvilTwin_Book "Spell Tome: Evil Twin" BOOK:0303E605
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00037332, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_EvilTwin_Spell_PC "Evil Twin" SPEL:03037332

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E606, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_CompellingWhispers_Book "Spell Tome: Compelling Whispers" BOOK:0303E606
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00058655, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_CompellingWhispers_Spell_PC "Compelling Whispers" SPEL:03058655

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E607, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_FigmentOfPain_Book "Spell Tome: Figment of Pain" BOOK:0303E607
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00043CE1, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_FigmentOfPain_Spell_PC "Figment of Pain" SPEL:03043CE1

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E609, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_IllusoryPyre_Book "Spell Tome: Illusory Pyre" BOOK:0303E609
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00032C8B, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_IllusoryPyre_Spell_PC "Illusory Pyre" SPEL:03032C8B

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60A, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_Shadowbond_Book "Spell Tome: Shadowbond" BOOK:0303E60A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00055B32, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_I050_Shadowbond_Spell_Proc_PC "Shadowbond" SPEL:03055B32

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60D, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_MindControl_Book "Spell Tome: Mind Control" BOOK:0303E60D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000378AE, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_MindControl_Spell_PC "Mind Control" SPEL:030378AE

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60E, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_EnslaveTheWeak_Book "Spell Tome: Enslave the Weak" BOOK:0303E60E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000DBD1, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_I075_EnslaveTheWeak_Spell_Ab_PC "Enslave the Weak" SPEL:0300DBD1

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60F, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_Seidstone_Book "Spell Tome: Seidstone" BOOK:0303E60F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003789F, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_Seidstone_Spell_PC "Seidstone" SPEL:0303789F

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E610, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_Vanish_Book "Spell Tome: Vanish" BOOK:0303E610
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00037E24, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_Vanish_Spell_PC "Vanish" SPEL:03037E24

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E611, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_MagickaVoid_Book "Spell Tome: Magicka Void" BOOK:0303E611
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0000B5B7, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_MagickaVoid_Spell_PC "Magicka Void" SPEL:0300B5B7

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E612, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_MirrorEntity_Book "Spell Tome: Mirror Entity" BOOK:0303E612
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00037E1A, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_MirrorEntity_Spell_PC "Mirror Entity" SPEL:03037E1A

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E614, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_ScreamOfPain_Book "Spell Tome: Scream of Pain" BOOK:0303E614
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000321BA, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_ScreamOfPain_Spell_PC "Scream of Pain" SPEL:030321BA

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E616, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_LastWord_Book "Spell Tome: Last Word" BOOK:0303E616
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000416BF, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_LastWord_Spell_PC "Last Word" SPEL:030416BF

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB7B, "Apocalypse - Magic of Skyrim.esp")) ; WB_R000_BoneSpirit_Book "Spell Tome: Bone Spirit" BOOK:0303EB7B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003527C, "Apocalypse - Magic of Skyrim.esp")) ; WB_R000_BoneSpirit_Spell_PC "Bone Spirit" SPEL:0303527C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB7C, "Apocalypse - Magic of Skyrim.esp")) ; WB_R000_CircleOfStrength_Book "Spell Tome: Circle of Strength" BOOK:0303EB7C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000369FD, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_R000_CircleOfStrength_Spell_PC "Circle of Strength" SPEL:030369FD

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB7D, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_WellingBlood_Book "Spell Tome: Welling Blood" BOOK:0303EB7D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001FCD9, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_WellingBlood_Spell_PC "Welling Blood" SPEL:0301FCD9

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB7E, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_LambOfMara_Book "Spell Tome: Lamb of Mara" BOOK:0303EB7E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00036A03, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_LambOfMara_Spell_PC "Lamb of Mara" SPEL:03036A03

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB81, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_Necroplague_Book "Spell Tome: Necroplague" BOOK:0303EB81
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00034D12, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_Necroplague_Spell_PC "Necroplague" SPEL:03034D12

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB82, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_SlayLiving_Book "Spell Tome: Slay Living" BOOK:0303EB82
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00003E0F, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_SlayLiving_Spell_PC "Slay Living" SPEL:03003E0F

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB84, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_FingerOfDeath_Book "Spell Tome: Finger of Death" BOOK:0303EB84
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00035452, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_FingerOfDeath_Spell_PC "Finger of Death" SPEL:03035452

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB85, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_HorridWilting_Book "Spell Tome: Horrid Wilting" BOOK:0303EB85
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00012214, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_HorridWilting_Spell_PC "Horrid Wilting" SPEL:03012214

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB87, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_Ruin_Book "Spell Tome: Ruin" BOOK:0303EB87
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000159D8, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_Ruin_Spell_PC "Ruin" SPEL:030159D8

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB88, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_SealedResolve_Book "Spell Tome: Sealed Resolve" BOOK:0303EB88
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001FCCA, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_SealedResolve_Spell_PC "Sealed Resolve" SPEL:0301FCCA

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB89, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_ChannelEnergies_Book "Spell Tome: Channel Energies" BOOK:0303EB89
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001FCCE, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_ChannelEnergies_Spell_PC "Channel Energies" SPEL:0301FCCE

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8A, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_BloodBoil_Book "Spell Tome: Blood Boil" BOOK:0303EB8A
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00044D44, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_BloodBoil_Spell_PC "Blood Boil" SPEL:03044D44

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8B, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_Resurgence_Book "Spell Tome: Resurgence" BOOK:0303EB8B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001E701, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_Resurgence_Spell_PC "Resurgence" SPEL:0301E701

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8C, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_NaturesBalance_Book "Spell Tome: Nature's Balance" BOOK:0303EB8C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000012DC, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_NaturesBalance_Spell_PC "Nature's Balance" SPEL:030012DC

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8D, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_HealingBlossom_Book "Spell Tome: Healing Blossom" BOOK:0303EB8D
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005F74D, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_HealingBlossom_Spell_PC "Healing Blossom" SPEL:0305F74D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8E, "Apocalypse - Magic of Skyrim.esp")) ; WB_R075_Decompose_Book "Spell Tome: Decompose" BOOK:0303EB8E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00095F43, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_R075_Decompose_Spell_Cloak_PC "Decompose" SPEL:03095F43

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB8F, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_BreathOfArkay_Book "Spell Tome: Breath of Arkay" BOOK:0303EB8F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00083A47, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_R100_BreathOfArkay_Spell0_PC "Breath of Arkay" SPEL:03083A47

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB90, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_CircleOfDeath_Book "Spell Tome: Circle of Death" BOOK:0303EB90
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001220F, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_CircleOfDeath_Spell_PC "Circle of Death" SPEL:0301220F

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB93, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_InfiniteLight_Book "Spell Tome: Infinite Light" BOOK:0303EB93
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002F66E, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_InfiniteLight_Spell_PC "Infinite Light" SPEL:0302F66E

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB94, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_KingsHeart_Book "Spell Tome: King's Heart" BOOK:0303EB94
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00033CCA, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_KingsHeart_Spell_PC "King's Heart" SPEL:03033CCA

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003F65B, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_Entomb_Book "Spell Tome: Entomb" BOOK:0303F65B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004581C, "Apocalypse - Magic of Skyrim.esp")) ; WB_A075_Entomb_Spell_PC "Entomb" SPEL:0304581C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00047341, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_HiddenCobra_Book "Spell Tome: Hidden Cobra" BOOK:03047341
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00046DC4, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_HiddenCobra_Spell_PC "Hidden Cobra" SPEL:03046DC4

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00047343, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_Bloodseeker_Book "Spell Tome: Bloodseeker" BOOK:03047343
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00048398, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_Bloodseeker_Spell_PC "Bloodseeker" SPEL:03048398

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00047345, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_Volcano_Book "Spell Tome: Volcano" BOOK:03047345
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000834B3, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_D100_VolcanoNew_Spell_PC "Volcano - Lava Bomb" SPEL:030834B3

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00047E25, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_TalonsOfNirn_Book "Spell Tome: Talons of Nirn" BOOK:03047E25
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0007FE79, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_TalonsOfNirn_Spell_PC "Talons of Nirn" SPEL:0307FE79

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00048910, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureBearTotem_Book "Spell Tome: Conjure Bear Totem" BOOK:03048910
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0004734D, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureBearTotem_Spell_PC "Conjure Bear Totem" SPEL:0304734D

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0005E218, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_MeridiasWrath_Book "Spell Tome: Meridia's Wrath" BOOK:0305E218
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000362C7, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_MeridiasWrath_Spell_PC "Meridia's Wrath" SPEL:030362C7

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0005E219, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_ForbiddenSun_Book "Spell Tome: Forbidden Sun" BOOK:0305E219
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00044264, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_ForbiddenSun_Spell_PC "Forbidden Sun" SPEL:03044264

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0005E224, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureWeepingDaedra_Book "Spell Tome: Conjure Weeping Daedra" BOOK:0305E224
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008FDED, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureWeepingDaedra_Spell_NPC "Conjure Weeping Daedra" SPEL:0308FDED

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0005E225, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_Wyrd_Book "Spell Tome: Wyrd" BOOK:0305E225
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00096A16, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_I100_Wyrd_Spell_PC "Wyrd" SPEL:03096A16

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0005F257, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_Battletide_Book "Spell Tome: Battletide" BOOK:0305F257
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0005ECEE, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_Battletide_Spell_PC "Battletide" SPEL:0305ECEE

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089703, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_PrepareForAdventure_Book "Spell Tome: Prepare for Adventure" BOOK:03089703
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00007FFD, "Apocalypse - Magic of Skyrim.esp")) ; WB_A000_PrepareForAdventure_Spell_PC "Prepare for Adventure" SPEL:03007FFD

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089704, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_ControlWeather_Book "Spell Tome: Control Weather" BOOK:03089704
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00084A9C, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_ControlWeather_Spell_PC "Control Weather" SPEL:03084A9C

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089705, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_SothasMaelstrom_Book "Spell Tome: Sotha's Maelstrom" BOOK:03089705
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00086B59, "Apocalypse - Magic of Skyrim.esp")) ; WB_S_A100_SothasMaelstrom_Spell_StackingDebuff_PC "Sotha's Maelstrom - Proc" SPEL:03086B59

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089706, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_FleshOfMyFlesh_Book "Spell Tome: Flesh of My Flesh" BOOK:03089706
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00088694, "Apocalypse - Magic of Skyrim.esp")) ; WB_C000_FleshOfMyFlesh_Spell_PC "Flesh of My Flesh" SPEL:03088694

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089708, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureBattlemage_Book "Spell Tome: Conjure Battlemage" BOOK:03089708
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008868C, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureBattlemage_Spell_PC "Conjure Battlemage" SPEL:0308868C
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003DB1F, "Apocalypse - Magic of Skyrim.esp")) ; WB_D000_Crackle_Book "Spell Tome: Crackle" BOOK:0303DB1F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00009653, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970A, "Apocalypse - Magic of Skyrim.esp")) ; WB_D000_HowlingBlast "Spell Tome: HowlingBlast"
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00083A2C, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970C, "Apocalypse - Magic of Skyrim.esp")) ; WB_I000_PaleShadow_Book "Spell Tome: Pale Shadow
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0008558A, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970D, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_PullFromEternity_Book "Spell Tome: Pull From Eternity
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00085B03, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970E, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_SpectralWarband_Book "Spell Tome: Spectral Warband
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00085579, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB91, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_WormShroud_Book "Spell Tome: Worm Shroud" BOOK:0303EB91
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0002CBD8, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089707, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureKyrkrim_Book "Spell Tome: Conjure Kyrkrim" BOOK:03089707
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00000032, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D044, "Apocalypse - Magic of Skyrim.esp")) ; WB_C025_SoulCloak_Book "Spell Tome: Soul Cloak" BOOK:0303D044
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00040B03, "Apocalypse - Magic of Skyrim.esp")) ;

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C52B, "Apocalypse - Magic of Skyrim.esp")) ; WB_A	100_AccelerationRune_Book "Spell Tome: Acceleration Rune" BOOK:0303C52B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024EC9, "Apocalypse - Magic of Skyrim.esp")) ; 	

		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D04E, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_SummoningRune_Book "Spell Tome: Summoning Rune" BOOK:0303D04E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024EC5, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB86, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_TreeRings_Book "Spell Tome: Tree Rings" BOOK:0303EB86
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003DA15, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089709, "Apocalypse - Magic of Skyrim.esp")) ; WB_D000_UnboundFire_Book "Spell Tome: Unbound Fire" BOOK:03089709
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00085594, "Apocalypse - Magic of Skyrim.esp")) ; 		
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089710, "Apocalypse - Magic of Skyrim.esp")) ; WB_C050_GodForm_Book "Spell Tome: GodForm" BOOK:0303D04E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00086B2E, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970B, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_StaticDome_Book "Spell Tome: Static Dome
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00083A22, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E601, "Apocalypse - Magic of Skyrim.esp")) ; WB_I025_Backlash_Book "Spell Tome: Backlash" BOOK:0303E601
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000132DA, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB83, "Apocalypse - Magic of Skyrim.esp")) ; WB_R050_CircleOfTheMoons_Book "Spell Tome: Circle of the Moons" BOOK:0303EB83
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00011CFB, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E615, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_Shroudwalk_Book "Spell Tome: Shroudwalk" BOOK:0303E615
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000DD94B, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x00089711, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_LifesFinale_Book "Spell Tome: LifesFinale
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00083FA8, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C52E, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_Milestones_Book "Spell Tome: Milestones" BOOK:0303C52E
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000A59D5, "Apocalypse - Magic of Skyrim.esp")) ; 
					
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E608, "Apocalypse - Magic of Skyrim.esp")) ; WB_I050_BloodForBlood_Book "Spell Tome: Blood For Blood" BOOK:0303E608
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00027FA7, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60B, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_MimicsCloak_Book "Spell Tome: Mimic's Cloak" BOOK:0303E60B
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000274CF, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003D5BB, "Apocalypse - Magic of Skyrim.esp")) ; WB_C100_ConjureCraftlord_Book "Spell Tome: Conjure Craftlord" BOOK:0303D5BB
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00023E5B, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E095, "Apocalypse - Magic of Skyrim.esp")) ; WB_D100_Apocalypse_Book "Spell Tome: Apocalypse" BOOK:0303E095
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00023316, "Apocalypse - Magic of Skyrim.esp")) ; 
								
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB92, "Apocalypse - Magic of Skyrim.esp")) ; WB_R100_DustToDust_Book "Spell Tome: Dust to Dust" BOOK:0303EB92
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0001122C, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E60C, "Apocalypse - Magic of Skyrim.esp")) ; WB_I075_EmpathicAgony_Book "Spell Tome: Empathic Agony" BOOK:0303E60C
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000A4EF7, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E613, "Apocalypse - Magic of Skyrim.esp")) ; WB_I100_HarrowingDirge_Book "Spell Tome: Harrowing Dirge" BOOK:0303E613
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000C74EA, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB7F, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_LeechSeed_Book "Spell Tome: Leech Seed" BOOK:0303EB7F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x0003E4FD, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003EB80, "Apocalypse - Magic of Skyrim.esp")) ; WB_R025_MysticWind_Book "Spell Tome: Mystic Wind" BOOK:0303EB80
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x000E8B77, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0008970F, "Apocalypse - Magic of Skyrim.esp")) ; WB_R000_WildHealing_Spell_PC "Spell Tome: Wild Healing" BOOK:0308970F
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00082483, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003C530, "Apocalypse - Magic of Skyrim.esp")) ; WB_A100_ThrummingStone_Book "Spell Tome: Thrumming Stone" BOOK:0303C530
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00024EC7, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		_hmfSpellTomeList1.AddForm(Game.GetFormFromFile(0x0003E091, "Apocalypse - Magic of Skyrim.esp")) ; WB_D075_ShatteringCrystal_Book "Spell Tome: Shattering Crystal" BOOK:0303E091
		_hmfSpellList1.AddForm(Game.GetFormFromFile(0x00008627, "Apocalypse - Magic of Skyrim.esp")) ; 
		
		Debug.Trace("Endding Scanning Apocalypse - Magic of Skyrim")
	endif

EndFunction

Function UseSpellTome(Actor akSpeaker)
	int Index = 0 
	int iSpellLearned = 0
	int iSpellKnow = 0
	int iSpellUnknow = 0
	akSpeaker.AddInventoryEventFilter(_hmfSpellTomeList1)
    	if akSpeaker.ShowGiftMenu(True, _hmfSpellTomeList1, true, true)		
		akSpeaker.PlayIdle(IdleBook_Reading)
			While Index < _hmfSpellTomeList1.GetSize()
			If akSpeaker.GetItemCount(_hmfSpellTomeList1.GetAt(Index))
				if _hmfSpellList1.GetAt(Index)
					if !akSpeaker.HasSpell(_hmfSpellList1.GetAt(Index) as Spell) 						
						akSpeaker.AddSpell(_hmfSpellList1.GetAt(Index) as Spell)
						akSpeaker.RemoveItem(_hmfSpellTomeList1.GetAt(Index) As Form)	
						iSpellLearned += 1					
					else
						iSpellKnow += 1 
					Endif
				else
					iSpellUnknow += 1	
				Endif
			Endif
			Index += 1
		EndWhile
		akSpeaker.PlayIdle(IdleBook_Reading)
	Endif
	if iSpellLearned
		debug.Notification("Learned " + iSpellLearned + " spell(s)")
	endif
	if iSpellKnow
		debug.Notification("Your follower already knows " + iSpellKnow + " spell(s)")
	endif
	if iSpellUnKnow
		debug.Notification("Your follower can not learn " + iSpellUnKnow + " spell(s)")
	endif

	akSpeaker.RemoveAllInventoryEventFilters()
EndFunction

